Page MenuHomePhabricator

Adding protection levels in hewikisource
Closed, ResolvedPublic

Description

Hello, I want to add more wikisource protection options. We discussed this here: https://he.wikisource.org/wiki/%D7%95%D7%99%D7%A7%D7%99%D7%98%D7%A7%D7%A1%D7%98:%D7%9E%D7%96%D7%A0%D7%95%D7%9F#%D7%94%D7%A6%D7%91%D7%A2%D7%94_-_%D7%90%D7%95%D7%A4%D7%A6%D7%99%D7%95%D7%AA_%D7%9C%D7%9E%D7%A4%D7%A2%D7%99%D7%9C%D7%99%D7%9D
This is the code:

$wgRestrictionLevels[] = 'templateeditor'; 
$wgGroupPermissions['sysop']['templateeditor'] = true; 
$wgGroupPermissions['interface-admin']['templateeditor'] = true; 

$wgRestrictionLevels[] = 'editautoreviewprotected'; 
$wgGroupPermissions['sysop']['editautoreviewprotected'] = true; 
$wgGroupPermissions['reviewer']['editautoreviewprotected'] = true; 
$wgGroupPermissions['autoreview']['editautoreviewprotected'] = true; 
$wgGroupPermissions['editor']['editautoreviewprotected'] = true; 
$wgGroupPermissions['interface-admin']['editautoreviewprotected'] = true;

Event Timeline

@neriah: In the future, please follow https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes when requesting such kinds of changes. Thanks! :)

Note: If you are curious and want to try making this configuration change yourself, please follow https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests and give it a try!

Zabe added a subscriber: Zabe.

Change 667306 had a related patch set uploaded (by Zabe; owner: Zabe):
[operations/mediawiki-config@master] component: Add 'autoreview' and 'interface-admin' protection level to hewikisource

https://gerrit.wikimedia.org/r/667306

The changes have not been deployed yet.

When a sysadmin deploys the changes. I added @Urbanecm as a reviewer to the patch, so maybe he takes a look at this.

@Aklapper @ZabeMath I do not understand. what am I supposed to do now? Turn elsewhere?

@neriah: Thanks for the feedback. No need to turn elsewhere. :) I've tried to improve https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests#Lifecycle_of_a_request and if is something is still unclear, please elaborate so we can try to clarify. We are currently between step 3 and step 4 in that list of six steps, as we are waiting for someone to give a "Code-Review +2" review in Gerrit on the proposed configuration change.

Send the right code for you?

Do you want the appropriate code for your server?

The Hebrew Wikipedia already has it, right?

Hello everyone,

I'm a Backport Deployer, who was asked by @Zabe to deploy the patch in question. I'm uncomfortable with doing so now, without understanding the need for the interface-admin-level protection, and without further discussion.

The interface-admin group was introduced to make sure only people who really need to edit sitewide CSS/JS can do so. I'm concerned that introducing a new protection level restricted to interface admins would turn that group into a "group for technicans", which is not its purpose. For instance, it should not be granted to people who need to edit interface messages.

Furthermore, the patch allows sysops to edit pages protected by this proposed restriction level. That doesn't make sense to me - why is it necessary?

Please don't take this personally; I'm merely not convinced that this is a good change to deploy. This is not a final decision, which will be made based on a discussion in this task.

@Tgr @Ladsgroup Hello, tagging a few people who could have an opinion on this. What do you think?

The task description links to a discussion, but as far as I can tell with Google Translate that discussion is about a wholly different issue.

@Urbanecm The main page templates need to be protected with high protection, and there are also non-sysop users who want to edit them. Now they are condemned that only those with 4 days of experience can edit, but want to raise it. I defended all these patterns, because of the corruption. It is necessary. I do not want anyone to be able to create an account, wait 4 days, and destroy the main page. Need higher protection. And as for interface protection, I wanted it for the "edit posts".

That doesn't need interface admin right. You really shouldn't use that right for something it's not designed for.

@Ladsgroup, @Zabe When will they handle the request? I opened the vote on interface protection for this. If this is an extension, I'll open a vote on it.

@neriah so you basicly want 2 protection levels, which are like those in hewiki? One for autoreviewers and one to protect templates, which are editable by sysops and interface-admins?

Zabe renamed this task from Adding a protection level in hewikisource to Adding protection levels in hewikisource.Mar 29 2021, 4:12 PM
Zabe triaged this task as Medium priority.
Zabe updated the task description. (Show Details)

@neriah So, the 'editautoreviewprotected' one is doable. The other one violates the point "Grant Interface admins other permissions" at https://meta.wikimedia.org/wiki/Limits_to_configuration_changes. It would be fine to create an extra group "templateeditor" (see enwiki or commons), which could edit at a new protection level. This user group could be given to trusted users then. Would that be ok?

@Zabe, I do not know if it is possible to create a new permission, because I did not ask in wikisource if it is possible. Is it possible without creating a new permission?

@neriah We can do the 'editautoreviewprotected' one. As I already said giving interface admins other permissions is not allowed, which makes the other one simply another admin level, which is redundant.

@Zabe Are you planning to remove the interface editor permission?

@Zabe Are you planning to remove the interface editor permission?

No, I think there is a misunderstanding here. I just wanted to say that it is not allowed to create a protection level and then give interface admins permission to edit it (see https://meta.wikimedia.org/wiki/Limits_to_configuration_changes).

@Zabe So how is there such a thing in hewiki?

@Zabe So how is there such a thing in hewiki?

I have no idea. @Urbanecm, do you know?

@Zabe Can you then install only the first protection? (Not by the interface editors)

Change 702761 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Add 'editautoreviewprotected' protection level to hewikisource

https://gerrit.wikimedia.org/r/702761

Change 667306 abandoned by Zabe:

[operations/mediawiki-config@master] Add 'editautoreviewprotected' and 'templateeditor' protection level to hewikisource

Reason:

superseeded by https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /702761. The issues mentioned in the -2 is no longer part of that one.

https://gerrit.wikimedia.org/r/667306

Change 702761 merged by jenkins-bot:

[operations/mediawiki-config@master] Add 'editautoreviewprotected' protection level to hewikisource

https://gerrit.wikimedia.org/r/702761

Mentioned in SAL (#wikimedia-operations) [2021-07-12T11:26:18Z] <wmde-fisch@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:702761|Add 'editautoreviewprotected' protection level to hewikisource (T275076)]] (duration: 00m 57s)

@Zabe Is it also possible to enable the "editautoreviewprotected" bot (allow it to edit pages protected by the new protection)?

@Zabe Is it also possible to enable the "editautoreviewprotected" bot (allow it to edit pages protected by the new protection)?

You mean allowing bots to edit pages with this new protection level? Yes that would be possible.

Change 704191 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Add 'editautoreviewprotected' to bot on hewikisource

https://gerrit.wikimedia.org/r/704191

Change 704191 merged by jenkins-bot:

[operations/mediawiki-config@master] Add 'editautoreviewprotected' to bot on hewikisource

https://gerrit.wikimedia.org/r/704191

Mentioned in SAL (#wikimedia-operations) [2021-07-12T23:27:41Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 6c581493fbe5d9c372fd44635b704d04040d8b38: Add editautoreviewprotected to bot on hewikisource (T275076) (duration: 00m 57s)

Zabe removed Zabe as the assignee of this task.Oct 29 2021, 3:41 PM
Zabe removed a project: User-Zabe.